Subject: linuxppc-embedded: memory map question.

From: Brendan Simon <[email-masked]>
Date: Thu, 16 Dec 1999 10:10:35 +1100

Dan Malek wrote:

> As I have explained before, the IMMR and possibly a few other
> board control registers must have physical addresses above
> 0x80000000.  This is because the early kernel initialization
> will map these 1:1 virtual to physical.  They are needed before
> the kernel VM allocator has been initialized.  If they are
> below this address, they clash with the user virtual space,
> so depending upon the loading of programs and libraries, you
> left a big virtual hole into kernel managed hardware.

My IMMR is 0xFF000000.  I basically followed the BSE-IP stuff when I ported
linuxppc to our own board.  This is above 0x80000000 so this should be fine,
but I do have some peripherals (LEDs, etc) mapped to memory lower than
0x8000000 (eg 0x20000000).  Is this good or bad ?
Would it be better if I memory mapped everything above 0x80000000 (except
DRAM of course) ?

Brendan Simon.

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/